%define nam	libgtop
%define ver	1.0.7

%define	prefix		/usr
%define sysconfdir	/etc
%define localstatedir	/var/lib

%define	rel	0.1mdk

Summary:	The LibGTop library
Name:     	%nam
Version: 	%ver
Release:	%rel
Copyright:	GPL
Group:		System/Libraries
Source: 	ftp://ftp.gnome.org/pub/GNOME/sources/stable/%{nam}/%{nam}-%{ver}.tar.bz2
URL:		http://www.gnome.org/
BuildRoot:	/var/tmp/%{nam}-%{ver}-root
Docdir:		%{prefix}/doc

Requires:	bc

# Mandrake patches

# Helix patches

%description
A library that fetches information about the running system such as CPU
and memory useage, active processes and more.

On Linux systems, this information is taken directly from the /proc
filesystem while on other systems a server is used to read that
information from other /dev/kmem, among others.

%package devel
#%package -n libgtopd
Summary:	Libraries, includes and other files to develop LibGTop applications.
Group:		Development/GNOME and GTK+
Requires:	%nam = %{PACKAGE_VERSION}

%description devel
#%description -n libgtopd
Install this package if you wish to develop applications that access
information on system statistics such as CPU and memory usage.

#%package examples
#Summary: These are examples for LibGTop, a library which retrieves information about your system, such as CPU and memory usage.
#Group: System Environment/Libraries
#Requires: libgtop = %{PACKAGE_VERSION}

#%description examples
#Install this package for a set of programs that are examples of developing
#with libgtop.

%prep
%setup -q
echo "	*****     Applying Mandrake patches        *****	"
echo "	*****     Applying Helix patches     *****	"

%build
CFLAGS="-g $RPM_OPT_FLAGS" ./configure	\
	--prefix=%{prefix} --sysconfdir=%{sysconfdir}	\
	--localstatedir=%{localstatedir}
make

%install
rm -rf $RPM_BUILD_ROOT
make install prefix=$RPM_BUILD_ROOT%{prefix} \
	sysconfdir=$RPM_BUILD_ROOT%{sysconfdir} \
	localstatedir=$RPM_BUILD_ROOT%{localstatedir}
# no binary stripping

%clean
rm -rf $RPM_BUILD_ROOT

%post   -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)

%doc RELNOTES-0.25 RELNOTES-1.0 AUTHORS ChangeLog NEWS README
%doc copyright.txt
%doc src/inodedb/README.inodedb

%{prefix}/lib/lib*.so.*
%{prefix}/share/*
%{prefix}/bin/*

%files devel
#%files -n libgtopd
%defattr(-, root, root)

%{prefix}/lib/lib*.so
%{prefix}/lib/*a
%{prefix}/lib/*.sh
%{prefix}/lib/*.def
%{prefix}/include/*

#%files examples
#%defattr(-,root,root)

#%{prefix}/libexec/libgtop/*

%changelog
* Mon Apr 3 2000 Daouda Lo <daouda@mandrakesoft.com> 1.0.7-0.1mdk
- bzipped source 
- include helix stuffs

* Fri Mar 31 2000 Axalon Bloodstone <axalon@mandrakesoft.com> 1.0.7-0.1mdk_helix_1
- generaly make rpmlint happy, and build for curr glibc 
